# pyspotter: Simple CLI for SofarOcean API

[![LinkedIn](https://img.shields.io/badge/LinkedIn-0077B5?style=plastic&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/samapriya/)
[![Medium](https://img.shields.io/badge/Medium-12100E?style=flat&logo=medium&logoColor=white)](https://medium.com/@samapriyaroy)
[![Twitter URL](https://img.shields.io/twitter/follow/samapriyaroy?style=social)](https://twitter.com/intent/follow?screen_name=samapriyaroy)
[![Mastodon Follow](https://img.shields.io/mastodon/follow/109627075086849826?domain=https%3A%2F%2Fmapstodon.space%2F)](https://mapstodon.space/@samapriya)
[![CI pyspotter](https://github.com/samapriya/pyspotter/actions/workflows/package_ci.yml/badge.svg)](https://github.com/samapriya/pyspotter/actions/workflows/package_ci.yml)
[![Hits-of-Code](https://hitsofcode.com/github/open-oceans/pyspotter?branch=main)](https://hitsofcode.com/github/open-oceans/pyspotter?branch=main)
![PyPI - License](https://img.shields.io/pypi/l/pyspotter)
[![Downloads](https://pepy.tech/badge/pyspotter)](https://pepy.tech/project/pyspotter)
![PyPI](https://img.shields.io/pypi/v/pyspotter)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.5805519.svg)](https://doi.org/10.5281/zenodo.5805519)
[![Donate](https://img.shields.io/badge/Donate-Buy%20me%20a%20Chai-teal)](https://www.buymeacoffee.com/samapriya)
[![](https://img.shields.io/static/v1?label=Sponsor&message=%E2%9D%A4&logo=GitHub&color=%23fe8e86)](https://github.com/sponsors/samapriya)


SofarOcean is actively shaping one of the most extensive commercial ocean observation networks through innovative smart buoys (spotters) and advanced mooring technology. The Spotter, a key component, delivers real-time, high-fidelity data on waves, wind, and temperature from any location in the ocean. Sofar's commitment extends to providing this valuable dataset to researchers and data users. This tool is an endeavor to simplify the parsing of spotter information, focusing on basic API functionalities, including authentication protocols, token reset, and data export for seamless integration with platforms like Google Earth Engine.

While SofarOcean offers an official client with comprehensive functions, this tool, available [here](https://github.com/sofarocean/sofar-api-client-python), addresses specific tasks including but not limited to tools like authentication protocols, token reset, and data export for easy use in other platforms like Google Earth Engine. You can also find their [indepth API and documentation here](https://docs.sofarocean.com/)

**Disclaimer: This is an unofficial tool and is neither licensed nor endorsed by SofarOcean. It is created and maintained by Samapriya Roy.**

#### Citation

```
Samapriya Roy. (2021). samapriya/pyspotter: Simple CLI for SofarOcean API (0.0.6).
Zenodo. https://doi.org/10.5281/zenodo.5805519
```

Find the [readme docs here](https://pyspotter.openoceans.xyz/)

